/**************************************************************************
*   Copyright (C) 2005-2006 by Jinsoo Kang                                *
*   jsk@gravitybind.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
**************************************************************************/


#ifndef TX_UTIL_H
#define TX_UTIL_H


#include <QtCore>
#include <QtGui>
#include <Qt3Support>


void openWebLink(const QString& addr);

//XML text
bool isLetter(const QChar &c);
bool isDigit(const QChar &c);
bool isCombiningChar(const QChar &c);
bool isExtender(const QChar &c);
bool isBaseChar(const QChar &c);
bool isIdeographic(const QChar &c);
bool inRange(const QChar &c, int lower, int upper = -1);

QString encodeToXml(const QString &str);
QString encodeComment(const QString &str);


#endif
